package com.vpn.fastestvpnservice.interfaces

import android.content.Context
import androidx.compose.runtime.Composable
import com.vpn.fastestvpnservice.beans.Protocol
import com.vpn.fastestvpnservice.beans.Server
import com.vpn.fastestvpnservice.viewmodels.HomeViewModel

interface ServerCallbacks {
    @Composable
    fun onServerSelected(
        context: Context,
        homeViewModel: HomeViewModel,
        onClick: () -> Unit,
        isServerDialogShown: Boolean,
        server: Server
    )

    @Composable
    fun OnChangeProtocol(protocol: Protocol)
}