package com.vpn.fastestvpnservice.application;

import android.app.Application;

import com.wireguard.android.backend.Backend;
import com.wireguard.android.backend.Tunnel;
import com.wireguard.config.Peer;

import java.util.Random;

import wireguard.WgTunnel;

public class App extends Application {

    private static App instance;

    public static WgTunnel tunnel;
    public static Tunnel.State tunnelStatus;
    public static Peer.Builder peerBuilder = new Peer.Builder();
    public static Backend backend;

    public static final int NOTIFICATION_ID = new Random().nextInt(601) + 200;


    public static void setBackend(Backend backend1) {
        backend = backend1;
    }

    public static Backend getBackend() {
        return backend;
    }

    public static WgTunnel getTunnel() {
        try {
            tunnel.getName();
        } catch (Exception e) {
            tunnel = new WgTunnel();
        }
        return tunnel;
    }


    @Override
    public void onCreate() {
        super.onCreate();

        instance = this;
    }

    public static App getApplication() {
        return instance;
    }
}
